<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\AutomatedText;
use Illuminate\Http\Request;


class AutomatedTextController extends Controller
{
    public function show(Request $request, $id)
    {
        $automatedText = AutomatedText::findOrFail($id);
        if ($id == '2') {
            return view('backend.modules.quote-automated-text.edit', compact('automatedText'));
        }
        if ($id == '3') {
            return view('backend.modules.booking-automated-text.edit', compact('automatedText'));
        }
        return view('backend.modules.automated-text.edit', compact('automatedText'));
    }

    public function edit(Request $request, $id)
    {
        $automatedText = AutomatedText::findOrFail($id);
        if ($id == '2') {
            return view('backend.modules.quote-automated-text.edit', compact('automatedText'));
        }
        if ($id == '3') {
            return view('backend.modules.booking-automated-text.edit', compact('automatedText'));
        }
        return view('backend.modules.automated-text.edit', compact('automatedText'));
    }

    public function update(Request $request, $id)
    {
    
       $automatedText = AutomatedText::findOrFail($id);

        $request->validate([
            'content' => 'required',
        ]);

       $automatedText->update([
            'content' => $request->content,
        ]);
        
        return back()->with('success', 'Automated Text Updated Successfully');
    }

}
