<?php

namespace App\Http\Controllers\Backend;

use App\Models\Quote;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class QuoteController extends Controller
{
    public function index(Request $request)
    {
        $quotes = Quote::latest()->get();
        return view('backend.modules.quotes.index', compact('quotes'));
    }
    public function destroy(Request $request, $id)
    {
        $quote = Quote::findOrFail($id);
        $quote->delete();
        return back()->with('success', 'Quote Deleted Successfully');
    }
    public function multipleDestroy(Request $request)
    {
        // return json_decode($request->ids);
        Quote::destroy(json_decode($request->ids));
        return back()->with('success', 'Quotes Deleted Successfully');
    }
}
