<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use App\Models\Subscriber;
use Illuminate\Http\Request;

class SubscriberController extends Controller
{
    public function index(Request $request)
    {
        $subscribers = Subscriber::latest()->get();
        return view('backend.modules.subscribers.index', compact('subscribers'));
    }
    public function destroy(Request $request, $id)
    {
        $quote = Subscriber::findOrFail($id);
        $quote->delete();
        return back()->with('success', 'Subscriber Deleted Successfully');
    }

    public function multipleDestroy(Request $request)
    {
        // return json_decode($request->ids);
        Subscriber::destroy(json_decode($request->ids));
        return back()->with('success', 'Subscribers Deleted Successfully');
    }

}
