<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;


class TestimonialBannerController extends Controller
{
    public function show(Request $request)
    {
        return view('backend.modules.testimonial-banner.edit');
    }

    public function edit(Request $request)
    {
        return view('backend.modules.testimonial-banner.edit');
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'banner' => 'required|mimes:jpg,png,jpeg',
        ]);
        
        $request->hasFile('banner') ? $this->fileUpload('/uploads/testimonial-banner', $request->banner, 'testimonial-banner') : null;

        return back()->with('success', 'Testimonial Banner Updated Successfully');
    }

    public function fileUpload($path, $file, $file_name){
        $destination = public_path().$path;
        $file->move( $destination, $file_name.'.jpeg');
        return $file_name;

    }

}
